> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Status

> Check the status of an app installation job.



## OpenAPI

````yaml GET /api/v1/workspaces/{id}/jobs/{job_id}
openapi: 3.1.0
info:
  title: Rigbox Public API
  description: >-
    Gateway-owned public API for Rigbox. The gateway composes its local
    lifecycle API with service-owned exported specs.
  contact:
    name: Rigbox
    url: https://rigbox.dev
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.rigbox.dev
    description: Production gateway
security: []
tags:
  - name: Workspaces
  - name: CLI
  - name: Observability
  - name: Auth
  - name: API Keys
  - name: Access Control
  - name: Apps
  - name: App Catalog
  - name: Logs
  - name: AI
  - name: Tools
  - name: Snapshots
  - name: SSH Keys
  - name: Templates
  - name: Setup Scripts
  - name: Service Specs
  - name: Deploy
  - name: Community
  - name: User Settings
  - name: Roadmap
  - name: System
paths:
  /api/v1/workspaces/{id}/jobs/{job_id}:
    get:
      tags:
        - App Catalog
      summary: Poll the status of an async app install job.
      description: Poll the status of an asynchronous app install job.
      operationId: get_job_status
      parameters:
        - name: id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: job_id
          in: path
          description: Job ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Job status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatusResponse'
      security:
        - bearer: []
components:
  schemas:
    JobStatusResponse:
      type: object
      required:
        - status
      properties:
        app_status:
          type:
            - string
            - 'null'
          description: Final app status after finalization (only set once job completes)
        exit_code:
          type:
            - integer
            - 'null'
          format: int32
          description: Exit code (only populated when done)
        status:
          type: string
          description: >-
            Job execution status: "running", "done", "failed", "cancelled",
            "unknown"
        stderr:
          type:
            - string
            - 'null'
          description: Combined stderr (only populated when done)
        stdout:
          type:
            - string
            - 'null'
          description: Combined stdout (only populated when done)
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````